Ticket #42295

Messages tab now highlights red to start

Open Date: 2021-05-16 14:35 Last Update: 2021-05-26 12:18

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
4

Details

Apologies if I'm describing an intended change. On gtk3 client, the Messages and Research tabs would have their text show up in blue, which would turn to red if you advanced to the next turn without reading them. In gtk3.22 they're starting red for me, on Mac OS X.

Ticket History (3/14 Histories)

2021-05-16 14:35 Updated by: pjlsergeant
  • New Ticket "Messages tab now highlights red to start" created
2021-05-17 22:20 Updated by: cazfi
Comment

Did you open those tabs yourself, or did they open up automatically? If latter, it was triggered by some event that require your attention, and thus the red color is what is expected.

2021-05-17 22:30 Updated by: pjlsergeant
Comment

Had it open already. Here's a 10s video showing it happening:

https://imgur.com/a/W6QXRXq

Specifically at second 7 I have it open, I've read it, and then I hit for a new turn, and new messages turn it red

2021-05-17 22:41 Updated by: cazfi
Comment

There *are* new messages in it, appeared during the turn change. Your idea that it should turn red only when it's too late to read messages after they are *removed* makes no sense to me.

2021-05-17 23:00 Updated by: pjlsergeant
Comment

Sorry, I have garbled what should be pretty simple. In both videos the Messages tab is already open, and recieves new messages in a new turn.

2.6.4 gtk3.22: https://imgur.com/a/W6QXRXq -- turns red

2.6.3 gtk3: https://imgur.com/a/CS9qCf3 -- turns blue

Is the change in behaviour intentional?

(Edited, 2021-05-17 23:00 Updated by: pjlsergeant)
2021-05-17 23:25 Updated by: cazfi
Comment

So the change is in that gtk3.22-client seems to have just one notify/alert color while gtk3-client had two, depending on the situation. I don't know if that's been intentional, but I'll look in to improving it in general (probably won't end up with the same setup as what gtk3-client had)

2021-05-18 05:31 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 2.6.5 (closed)
  • Priority Update from 3 to 5 - Medium
2021-05-23 23:28 Updated by: cazfi
  • Resolution Update from Accepted to None
Comment

There will be a new version of this patch.

2021-05-24 09:44 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Severity Update from 3 to 5 - Medium
Comment

New versions of the patches

- Avoid duplicate calls to gtk_widget_get_style_context()

- Remove possible 'notice' color when 'alert' added

2021-05-26 12:18 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login